import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
export interface IMenuItem {
    startImg?: React.ReactNode;
    endImg?: React.ReactNode;
    text?: string;
    size?: sizeType;
    active?: boolean;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    modeProp: modeType;
    color: 'shadow' | 'default';
}
declare const MenuItem: React.FC<IMenuItem & Omit<ComponentProps<'div'>, keyof IMenuItem>>;
export default MenuItem;
