import React from 'react';
import { sizeType } from '../../utils/componentPropsTypes';
export interface ISlider {
    label?: string;
    value?: number;
    min?: number;
    max?: number;
    step?: number;
    onChange?(newValue: number, currentValue: number): void;
    size?: Omit<sizeType, 'medium'>;
    hideProgress?: boolean;
    hasCurrentPercent?: boolean;
    hasPointText: boolean;
}
declare const Slider: React.FC<ISlider>;
export default Slider;
